package com.rjconsultores.ventaboletos.service;

public interface TaxaEmbarqueService {
	
	/**
	 * Atualiza a taxa de embarque da entidade TarifaOficial.<br/>
	 * 
	 * Para o clculo,  usado a seguinte lgica:<br/>
	 * 		- Atualiza de acordo a tabela TAXA_EMBARQUE_PARADA por kilometragem<br/> 
	 * 		- Atualiza de acordo a tabela TAXA_EMBARQUE por kilometragem<br/>
	 * 		- Atualiza de acordo a tabela TAXA_EMBARQUE_PARADA por valor fixo<br/>
	 * 
	 * A sequencia acima indica a ordem de atualizao da taxa de embarque.<br/>
	 * 
	 * A taxa de embarque mais restritiva fica por ltimo (TAXA_EMBARQUE_PARADA por valor fixo)
	 * 
	 * @param rutaId - Se informado, ser atualizado apenas a taxa de embarque da ruta informada
	 * @param orgaoConcedenteId TODO
	 */
	public void atualizarTaxaEmbarque(Integer rutaId, Integer orgaoConcedenteId);
	
}
