package com.rjconsultores.ventaboletos.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.SeguroKmDAO;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.SeguroService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("seguroService")
public class SeguroServiceImpl implements SeguroService{

	@Autowired
	private SeguroKmDAO seguroKmDAO;
	
	@Override
	@Transactional
	public void atualizarSeguroPorKm(Integer rutaId, Integer orgaoId) throws BusinessException {
		
		if (orgaoId == null){
			throw new BusinessException("SeguroServiceImpl.msg.validacion.orgaoObligatorio");
		}
		
		seguroKmDAO.atualizarSeguroPorKm(rutaId, orgaoId, UsuarioLogado.getUsuarioLogado().getUsuarioId());
		
	}

}
